#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Digest
%define		pnam	Elf
Summary:	Digest::Elf - implementation of the ElfHash algorithm
Summary(pl.UTF-8):	Digest::Elf - implementacja algorytmu ElfHash
Name:		perl-Digest-Elf
Version:	1.4
Release:	6
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Digest/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	59e6737aae2f9efd1a8af8bc8655f575
URL:		http://search.cpan.org/dist/Digest-Elf/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Digest::Elf Perl module provides an implimentation of the ElfHash
algorithm.  ElfHash generates resonably unique values from a string in
a reasonably short period of time.  The actual algorith is culled from
a Dr. Dobbs Journal article, they culled it probably from the source
for the GNU C complier.

%description -l pl.UTF-8
Moduł Perla Digest::Elf jest implementacją algorytmu ElfHash. Algorytm
ten generuje w miarę unikalne wartości dla łańcuchów znaków w
przyzwoitym czasie. Właściwy algorytm jest ściągnięty z artykułu z Dr.
Dobbs Journal, gdzie został ściągnięty prawdopodobnie ze źródeł
kompilatora C z GNU.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Digest/Elf.pm
%dir %{perl_vendorarch}/auto/Digest/Elf
%attr(755,root,root) %{perl_vendorarch}/auto/Digest/Elf/Elf.so
%{_mandir}/man3/*
%changelog
* Fri Sep 12 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Digest-Elf.git;a=log;h=master

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 25fb143
- release 6 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 1df7e12
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 50611fb
- rebuild for perl 5.20
- release 5 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 1f1a1bc
- rebuild with perl 5.18.0
- release 4 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> c073d44
- release 3

* Sun Mar 23 2008 Jakub Bogusz <qboosh@pld-linux.org> 3319fae
- generic URL

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 3f6b85a
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 951022a
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 21b5af8
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9cdd2c0
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 9ba1b66
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> 079af52
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Thu May 06 2004 ankry <ankry@pld-linux.org> ff3111e
- fixed perl-devel BR

* Wed May 05 2004 ankry <ankry@pld-linux.org> 3cdec97
- tests added, cosmetics

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> 900e1f4
- better summary/description, license fixes and unification

* Wed Apr 14 2004 ankry <ankry@pld-linux.org> 21906a3
- cosmetics

* Mon Sep 15 2003 Adam Gołębiowski <adamg@pld-linux.org> f88bbfa
- updated to 1.4

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 56f8c83
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 1f2fa88
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 6c141b3
- massive attack s/pld.org.pl/pld-linux.org/

